CRDB updates requests

Update Active-Active configuration requests

Redis Software
Method Path Description
POST /v1/crdbs/{crdb_guid}/updates Modify Active-Active configuration

Modify Active-Active configuration

POST /v1/crdbs/{crdb_guid}/updates

Modify Active-Active configuration.

Warning:
This is a very powerful API request and can cause damage if used incorrectly.

To add or remove instances, you must use this API. For simple configuration updates, use PATCH /crdbs/{crdb_guid} instead.

Updating default_db_config affects both existing and new instances.

When you update db_config, it changes the configuration of the specified database instance. This field overrides any corresponding fields in default_db_config.

For a list of which settings must be identical across all instances and which to set per instance, see the CRDB database config object reference.

Request

Example HTTP request

POST /v1/crdbs/1/updates

Request headers

Key Value Description
X-Task-ID string Specified task ID
X-Result-TTL integer Time (in seconds) to keep task result

URL parameters

Field Type Description
crdb_guid string Globally unique Active-Active database ID (GUID)

Query parameters

Field Type Description
dry_run boolean Validate the request without applying changes (optional)

Request body

Include a CRDB modify_request object with updated fields in the request body.

Response

Returns a CRDB task object.

Status codes

Code Description
200 OK The request has been accepted.
400 Bad Request The posted Active-Active database contains invalid parameters.
401 Unauthorized Unauthorized request. Invalid credentials
404 Not Found Configuration, instance or Active-Active database not found.
406 Not Acceptable The posted Active-Active database cannot be accepted.
RATE THIS PAGE
Back to top ↑